.logo-h2 {
    color: red;
    font-size: 1rem;
}

header {
    position: relative;
    left: 0;
    top: 0;
    width: 100%;
    height: 80px;
}

header h4 {
    position: absolute;
    left: 10%;
    bottom: 1rem;
    font-size: 1.6rem;
}

.intro {
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    background: black;
    transition: 1.5s;
}

.logo-header {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: red;
}

.logo {
    position: relative;
    display: inline-block;
    bottom: -20px;
    opacity: 0;
    padding: 10px;
    max-width: 100%;
    height: auto;
}

.logo.active {
    bottom: 0;
    opacity: 1;
    transition: ease-in-out 0.5s;
}

.logo.fade {
    bottom: 150px;
    opacity: 0;
    transition: ease-in-out 0.5s;
}

/* Dostosowanie obrazków dla urządzeń mobilnych */
@media (max-width: 600px) {
    .logo {
        padding: 20px; /* Zwiększamy padding */
        max-width: none; /* Usuwamy ograniczenie szerokości */
        width: 100%; /* Ustawiamy szerokość na 100% */
        height: auto;
    }
}